package TilitoliGame;

import javax.microedition.lcdui.Image;

public class GameField {

    private Image image;
    private Image originalImage;
    public int posX;
    public int posY;

    public GameField(String imageURL, int positionX, int positionY) throws InvalidPictureURLException {
        posX = positionX;
        posY = positionY;

        try {
            originalImage = image = Image.createImage(imageURL);
            
        } catch (Exception ex) {
            throw new InvalidPictureURLException("Unable to open file by the given URL");
        }
    }

    public Image getImage() {
        return image;
    }

    public void setImage(Image newImage) {
        image = newImage;
    }
    
    public void setOriginal() {
        image = originalImage;
    }

    public boolean isAtRightPlace() {
        return (originalImage.equals(image));
    }
}
