
import TilitoliGame.GameTable;
import TilitoliGame.InvalidPictureURLException;
import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDlet;


public class Tilitoli extends MIDlet {

    private GameTable gt;

    public void startApp() {
        final String blackURL = "/scrat_16.jpg";
        final String[] picURL = { "/scrat_01.jpg", "/scrat_02.jpg", "/scrat_03.jpg", "/scrat_04.jpg", "/scrat_05.jpg", "/scrat_06.jpg", "/scrat_07.jpg", "/scrat_08.jpg",
            "/scrat_09.jpg", "/scrat_10.jpg", "/scrat_11.jpg", "/scrat_12.jpg", "/scrat_13.jpg", "/scrat_14.jpg", "/scrat_15.jpg" };
        final int moves = 513;
        
        try {
            if (gt == null) {
                gt = new GameTable(this, 4, 4, 50, 50, blackURL, picURL, moves);

                new Thread(gt).start();
                
                Display.getDisplay(this).setCurrent(gt);
            }
            
        } catch (InvalidPictureURLException ex) {
            
        }
        
        Display.getDisplay(this).setCurrent(gt);
    }

    public void pauseApp() {
        this.notifyPaused();
    }

    public void destroyApp(boolean unconditional) {
        this.notifyDestroyed();
    }
    
}